[Updated] XP SP3 Update Pack 02.10-01

Windows XP Professional Update Pack discussion.
Post Reply
amburi
Posts: 3
Joined: Thu Jul 10, 2008 3:25 am

Post by amburi » Thu Jul 10, 2008 3:34 am

Hi. I'm sorry if I missed something, but if I integrate this pack no matter with nlite or integrator I get the same error during setup "an error occured copying file aikjbt.sys"... Did I do something wrong?

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Thu Jul 10, 2008 4:14 am

Never heard of aikjbt.sys, Google doesn't come up with anything for aikjbt.sys.

amburi
Posts: 3
Joined: Thu Jul 10, 2008 3:25 am

Post by amburi » Thu Jul 10, 2008 10:15 am

It seems I found the solution. In case somebody is interested http://www.technologyquestions.com/tech ... error.html Disabling the DAEMON Tools SPTD driver worked fine:)

User avatar
Babyboy
Posts: 193
Joined: Wed May 02, 2007 4:19 pm
Location: Hollandies

Post by Babyboy » Sun Jul 13, 2008 7:01 pm

Nice work...The updated pack is great..

but i missed Kb936181

Security Update for Microsoft XML Core Services 4.0 Service Pack 2 (KB936181)
Image

User avatar
5eraph
Site Admin
Posts: 4621
Joined: Tue Jul 05, 2005 9:38 pm
Location: Riverview, MI USA

Post by 5eraph » Sun Jul 13, 2008 8:13 pm

I believe KB936181 only appears as a high priority update when installing Office 2003.

User avatar
Babyboy
Posts: 193
Joined: Wed May 02, 2007 4:19 pm
Location: Hollandies

Post by Babyboy » Mon Jul 14, 2008 5:28 pm

5eraph:
I believe KB936181 only appears as a high priority update when installing Office 2003.


Maybe..but i have Office 2007..

No big deal.then a'm sorry for this message....

User avatar
dumpydooby
Posts: 530
Joined: Sun Jan 15, 2006 6:09 am

Post by dumpydooby » Thu Jul 17, 2008 12:14 am

Red, I love your work and I eagerly await your next release. :)

jdrom17
Posts: 47
Joined: Sun Jan 15, 2006 1:39 am

Post by jdrom17 » Thu Jul 17, 2008 12:32 am

Going to give this a shot and hopefully without errors.

Thanks for all the hard work.

vit100
Posts: 7
Joined: Thu Nov 23, 2006 3:12 pm
Location: Canada

Post by vit100 » Thu Jul 17, 2008 10:53 am

hi
Tried to install RED_XP_SP3_UpdatePack_072008-r04.7z in integrated SP3 and got error:

Image

Any ideas?

IDK
Posts: 6
Joined: Wed Jun 18, 2008 3:13 pm

Post by IDK » Thu Jul 17, 2008 3:32 pm

Did you use nlite or ryan integrator

User avatar
Zyx_Maiden
Posts: 128
Joined: Mon Mar 12, 2007 9:32 pm
Location: Québec, Canada

Post by Zyx_Maiden » Thu Jul 17, 2008 5:36 pm

I have download this Pack 3 times form the 2 links and I always get a wrong MD5 Hash. Is the file corrupt or the Hash not updated?

The hash I got is :MD5: EDEE24ED33E9332DD53ED92B4157F13D
If you see dinosaurs, stop using drugs. But, if you don't use drugs, GET THE HELL OUT OF THERE!

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Thu Jul 17, 2008 10:51 pm

I still had the hash from r03, but my website had the correct one. And apparently I had the correct SHA1 sum.

As for the error, I don't know. You didn't list any other addons you were using or integration method (nLite or RVMI). Upload txtsetup.sif somewhere I can download it and maybe I'll see what went wrong with [WinntDirectories].

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Tue Aug 12, 2008 9:35 pm

Added today's security updates if anyone is still interested.

User avatar
LonGleY-orig
Posts: 5
Joined: Mon Jan 14, 2008 7:44 pm

Post by LonGleY-orig » Tue Aug 12, 2008 10:20 pm

Thanks!

mindwarper
Posts: 255
Joined: Mon Jul 25, 2005 9:56 pm
Location: Netherlands

Post by mindwarper » Wed Aug 13, 2008 4:21 am

Thanks redxii!!!
Now what I am curious about you mention RVM Integrator 1.5.4
Now where can 1 find or download that one?

yumeyao
Moderator
Posts: 1718
Joined: Sun Aug 27, 2006 9:24 pm
Location: Taiyuan, Shanxi, PR China

Post by yumeyao » Wed Aug 13, 2008 4:31 am

malicious removal tool 2.1
code:
F3889559-68D7-4AFB-835E-E7A82E4CE818
you can edit yourself.
Image
My work list(Hosted by dumpydooby)

Sm0ker
Posts: 107
Joined: Mon Jan 03, 2005 5:45 pm
Location: UK

Post by Sm0ker » Wed Aug 13, 2008 5:34 am

Thanks for the update redxiii

User avatar
beats
Posts: 772
Joined: Tue Nov 27, 2007 4:11 am
Location: Netherlands

Post by beats » Wed Aug 13, 2008 6:41 am

Thanks red, you're fast. :)

maveric73ph
Posts: 65
Joined: Sun Jun 11, 2006 8:06 am
Location: Asia

Post by maveric73ph » Wed Aug 13, 2008 8:46 am

Thanks for this! I have a question re: removal of WBEM fix bec. its included in RVMi - but I use nlite on my other UACD's... will this cause any problems for nlite users?

User avatar
user_hidden
Posts: 1924
Joined: Thu Dec 06, 2007 7:52 am
Location: Canada eh!

Post by user_hidden » Wed Aug 13, 2008 2:52 pm

thanks RED for your hard work.

User avatar
crashfly
Posts: 789
Joined: Thu Mar 13, 2008 11:39 pm
Location: Arkansas, USA

Post by crashfly » Wed Aug 13, 2008 3:27 pm

maveric73ph wrote:Thanks for this! I have a question re: removal of WBEM fix bec. its included in RVMi - but I use nlite on my other UACD's... will this cause any problems for nlite users?
The problem *was* originally with an option in RVMI, however it was not an issue in nlite since nlite automatically fixed the problem. Therefore, there is not any issues with that fix and nlite.
A mind is like a parachute, it only functions when it is open.
--Anonymous

How to Ask Questions the Smart Way

richy759
Posts: 7
Joined: Wed Apr 30, 2008 2:18 pm

Post by richy759 » Wed Aug 13, 2008 4:45 pm

mindwarper wrote:Thanks redxii!!!
Now what I am curious about you mention RVM Integrator 1.5.4
Now where can 1 find or download that one?
+1

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Wed Aug 13, 2008 4:46 pm

I forgot to add this to the changelog:
- Updated Malicious Software Removal Tool to version 2.1 (August 2008)

It was just left out of the changelog, it wasn't a silent update.

Siginet has already decided to include the WBEM fix in the integrator, there is always the addon for the WBEM fix before 1.5.4 is released if anyone still experiences that problem. As of now I haven't experienced it with the update pack alone, nor does it with my DX addon.

(No one said 1.5.4 was released, removing the WBEM fix was a preempt)

User avatar
mf3imp
Posts: 77
Joined: Sun Nov 11, 2007 3:15 pm

Post by mf3imp » Wed Aug 13, 2008 5:09 pm

Wow, I've noticed that MS Update on a italian version of xp sp3 doesn't require anymore 898461, the package installer. My simple test is in vpc, with just sp3 slipstreamed, to check what hotfix and other stuff are required by ms update. Can someone confirm this? Thank

EDIT: it seems that it's automaticaly download and installed, but not displayed in winupdate. There are all entries in the registry, I'm checking the log file of windows update.

Tr110022
Posts: 21
Joined: Thu Apr 13, 2006 2:15 am

Post by Tr110022 » Sat Aug 16, 2008 8:32 am

thanks redxii for update

User avatar
code65536
Posts: 735
Joined: Wed Mar 14, 2007 2:58 pm
Location: .us
Contact:

Post by code65536 » Mon Aug 18, 2008 8:20 am

You should also include KB950582 (this was previously a Vista/2K8-only update, but Microsoft quietly and without fanfare extended the offering to 2K3 and XPSP2/SP3 on the Aug 12)
My addons: CmdOpen - HashCheck - Notepad2 - MS Runtimes - DirectX

Into the breach, meatbags!

Happy-Dude
Posts: 64
Joined: Sat Apr 26, 2008 9:13 pm

Post by Happy-Dude » Mon Aug 25, 2008 8:46 pm

Since RyanVM's Windows XP Post-SP3 Update Pack was just released ...

I need an opinion:
~~Which update pack should I use?

There are some things here, some things there. Some extras here, some extras there.

Looks like RyanVM has more security fixes for default Windows XP programs (like Messenger and Outlook), whereas redxii's pack doesn't seem to included these.

Do I need MSXML 4.0 SP2 (Includes KB941833 Hotfix) ? Would redxii's update pack include it later?

Also, what is the significance of ResetWMI ?

Thanks guys. I really appreciate it :) !!

User avatar
code65536
Posts: 735
Joined: Wed Mar 14, 2007 2:58 pm
Location: .us
Contact:

Post by code65536 » Mon Aug 25, 2008 9:01 pm

Happy-Dude wrote:~~Which update pack should I use?
This has been discussed before. Nutshell is, this is a more conservative pack. Far fewer fixes (fewer KBs and using GDR instead of QFE), but lower risk of instability. redxii is the most conservative, Onepiece is the least conservative, and RVM is about somewhere in between.
Happy-Dude wrote:Also, what is the significance of ResetWMI ?
http://www.ryanvm.net/forum/viewtopic.php?t=5285
My addons: CmdOpen - HashCheck - Notepad2 - MS Runtimes - DirectX

Into the breach, meatbags!

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Mon Aug 25, 2008 9:06 pm

code65536 - YGPM
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

User avatar
beats
Posts: 772
Joined: Tue Nov 27, 2007 4:11 am
Location: Netherlands

Post by beats » Tue Aug 26, 2008 7:18 am

code65536 wrote:This has been discussed before. Nutshell is, this is a more conservative pack. Far fewer fixes (fewer KBs and using GDR instead of QFE), but lower risk of instability. redxii is the most conservative, Onepiece is the least conservative, and RVM is about somewhere in between.
In fact, xable's updatepack is the most conservative. His pack only includes the High Priority WU updates. ;)

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Tue Aug 26, 2008 5:26 pm

Well, the term "stable" depends on what you're talking about. If you need a hotfix to fix a problem that causes stop errors then you should probably get the hotfix. If you aren't having any problems, either can cause problems/have bugs but IMHO usually in the past a hotfix has caused problems because the user has done something they shouldn't.. like screw with permissions on system folders (MS05-051).

User avatar
zhaoxiali
Posts: 6
Joined: Sat May 10, 2008 1:45 am

Post by zhaoxiali » Mon Sep 08, 2008 11:31 am

Image Mastering API v2.0 (IMAPIv2.0) for Windows XP (KB932716)
Brief Description
Image Mastering API v2.0 (IMAPIv2.0) enables IMAPIv2 dependent applications to stage and burn images to CD and DVD optical storage media.

http://www.microsoft.com/downloads/deta ... c4dd2f147b

User avatar
compstuff
Posts: 464
Joined: Fri Aug 11, 2006 3:25 pm
Location: Florida

Post by compstuff » Mon Sep 08, 2008 9:14 pm

redxii: all I can say is that I have used your last 2 update packs and they are rock solid stable... THANKS!!!

User avatar
compstuff
Posts: 464
Joined: Fri Aug 11, 2006 3:25 pm
Location: Florida

Post by compstuff » Wed Sep 10, 2008 9:05 pm

I just used the lates tr01 pack and MS Update showed KB954154... I will try again since it was one of the days with mistake after mistake so I can't really be sure I didn't screw up...

User avatar
keloo05
Posts: 276
Joined: Mon Jun 26, 2006 10:04 pm
Location: Romania

Post by keloo05 » Wed Sep 10, 2008 9:16 pm

compstuff wrote:I just used the lates tr01 pack and MS Update showed KB954154... I will try again since it was one of the days with mistake after mistake so I can't really be sure I didn't screw up...
KB954154 is a WMP 11 update, so it's normal to show up in MU. To have a fully up to date Xp disc, I would recommand you to integrate WMP 11 and all specific updates with Booogy's Slipstreamer: http://www.boooggy.org/slipstreamer/

User avatar
compstuff
Posts: 464
Joined: Fri Aug 11, 2006 3:25 pm
Location: Florida

Post by compstuff » Thu Sep 11, 2008 12:50 pm

Thanks very much for the feedback... actually I did use Booogy's Slipstreamer but didn't have KB954154 so that's an easy fix which means this pack is perfect...

eSc-AvAtAr
Posts: 13
Joined: Fri Aug 08, 2008 9:15 am

Post by eSc-AvAtAr » Thu Sep 11, 2008 3:25 pm

wups2.dll is referenced 2 times in entries.ini
Image

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Thu Sep 11, 2008 5:15 pm

Not a big deal.. the integrator only copies the wups2.dll line once. I'll fix it locally.

lqdwax
Posts: 6
Joined: Sat May 03, 2008 3:55 pm
Location: Detroit, Michigan USA

Post by lqdwax » Wed Sep 17, 2008 12:44 am

Hey. First thanks for the pack. I am having a issue when i integrate the newest version of your pack i am getting a "rootsupd.exe" error during install. I noticed you have the root certificate update include. but my error specifies that i cant find the file. I am using xp sp3 and use nlite 1.45 to integrate. any thoughts. THANKS

User avatar
beats
Posts: 772
Joined: Tue Nov 27, 2007 4:11 am
Location: Netherlands

Post by beats » Wed Sep 17, 2008 3:54 am

nLite 1.45 is rather old. You might want to try 1.49.1 first to see if that works. ;)

eroder
Posts: 6
Joined: Mon Jan 14, 2008 2:16 am

Post by eroder » Tue Oct 07, 2008 4:04 am

Is there a mirror please. I just cannot download from A-Drive. Keeps going int a loop.

Thanx in advanze for all the hard work.

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Wed Oct 15, 2008 5:26 pm

Firefox seems to have problems downloading from adrive.

Not putting it on my website because people direct link to the .7z.

FrizzleFry
Posts: 12
Joined: Tue Sep 25, 2007 1:32 pm

Post by FrizzleFry » Thu Oct 16, 2008 2:20 am

I can dl with Firefox fine... I just cannot use a dl manager.

User avatar
beats
Posts: 772
Joined: Tue Nov 27, 2007 4:11 am
Location: Netherlands

Post by beats » Fri Oct 17, 2008 5:11 am

Thank you for the update Red. :)

Nowind
Posts: 8
Joined: Wed Dec 12, 2007 10:15 am

Post by Nowind » Fri Oct 17, 2008 6:44 am

Thanks, quick and working, except for KB956391. WU says it's not installed, it could be just on my computer...?

SHO_GuN
Posts: 144
Joined: Fri Jun 30, 2006 11:26 pm

Post by SHO_GuN » Fri Oct 17, 2008 10:06 am

Nowind wrote:Thanks, quick and working, except for KB956391. WU says it's not installed, it could be just on my computer...?
OK, so its not just me. I tried updating the last released file, as usual, while waiting for the peeps who know what they're doing to release their work.

All was fine except KB956391. All but one registry entry would take.

When this version was released, I saw the registry entry in question is listed twice, the second time to be ran at T-13.

When finished, this single registry entry is still not correct and triggers the prompt for KB956391 in WU/MU.

Code: Select all

HKLM,"%ACTIVEXCOMP%\{0002E510-0000-0000-C000-000000000046}","Compatibility Flags",0x00010001,0x400

Xable
Posts: 981
Joined: Tue May 03, 2005 6:38 pm
Contact:

Post by Xable » Fri Oct 17, 2008 2:59 pm

956391 needs a reg entrie re-writen as late as possible because it`s overwritten during registering. One easy way and the way I went, is to let nLite deal with it :)

add to entries.ini

Code: Select all

[registry_addreg]
HKLM,"SOFTWARE\Microsoft\Internet Explorer\ActiveX Compatibility\{0002E510-0000-0000-C000-000000000046}","Compatibility Flags",0x00010001,0x400
That adds it to nLites ini which is applied twice at the end of install, knowone`s reported any problems as yet.

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Fri Oct 17, 2008 5:35 pm

Are you using nLite? I used/only test on RVMI (1.5.3), KB956391 didn't show up.

Nowind
Posts: 8
Joined: Wed Dec 12, 2007 10:15 am

Post by Nowind » Fri Oct 17, 2008 6:03 pm

I use nLite, as I have with your other packs. First time there's been a "problem".....

Xable, do you mean entries.ini in the updatepack?

SHO_GuN
Posts: 144
Joined: Fri Jun 30, 2006 11:26 pm

Post by SHO_GuN » Fri Oct 17, 2008 6:41 pm

My comment was based on using nLite.

KB956391 shows up in MU for me with your update pack.

If I integrate the hotfix itself with nLite, it does not show up.

Post Reply